summaryrefslogtreecommitdiff
path: root/eclass/font.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-10-19 07:57:57 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-10-19 07:57:57 +0100
commit27f7ac2204449d9fc2137f442522b4fb10327d90 (patch)
treee0fa5de044037be9ff62dcb6bcc8dbeca087767d /eclass/font.eclass
parent84a400be40cf32d9e536ae34ebf14ad06ad6b8d6 (diff)
gentoo auto-resync : 19:10:2022 - 07:57:56
Diffstat (limited to 'eclass/font.eclass')
-rw-r--r--eclass/font.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/font.eclass b/eclass/font.eclass
index 83636ac3fed5..4970c959f7cd 100644
--- a/eclass/font.eclass
+++ b/eclass/font.eclass
@@ -186,9 +186,11 @@ font_src_install() {
# @DESCRIPTION:
# Updates fontcache if !prefix and media-libs/fontconfig installed
_update_fontcache() {
- # unreadable font files = fontconfig segfaults
- find "${EROOT}"/usr/share/fonts/ -type f '!' -perm 0644 \
- -exec chmod -v 0644 2>/dev/null {} + || die "failed to fix font files perms"
+ if [[ -d "${EROOT}"/usr/share/fonts ]] ; then
+ # unreadable font files = fontconfig segfaults
+ find "${EROOT}"/usr/share/fonts/ -type f '!' -perm 0644 \
+ -exec chmod -v 0644 2>/dev/null {} + || die "failed to fix font files perms"
+ fi
if [[ -z ${ROOT} ]] ; then
if has_version media-libs/fontconfig ; then